Subject: Re: [lojban] openprojects IRC whining.

From: Robin Lee Powell <[email-masked]>
Date: Thu, 14 Mar 2002 14:28:45 -0800

On Thu, Mar 14, 2002 at 11:31:51AM -0700, Jay Kominek wrote:
> 
> On Wed, 13 Mar 2002, Robin Lee Powell wrote:
> 
> > So, people are *still* bitching about using the openprojects.org 'net
> > for IRC, even though
> >
> > 1) Using lojban.org for lojban IRC makes more sense.
> > 2) openprojects.org splits several times a day.
> 
> I'll repeat this again, just in case I've accidentally been speaking
> Swahili the last few times:
> 
> 1) lojban.org is a name. When you have control of the DNS, you could setup
> your own round robin for irc.lojban.org which pointed it to either a
> single OpenProjects server, (I can't recall one ever going down without
> significant warning, and for a good reason.) or to a small collection
> of servers which are usually topologically close. (I'll develop
> software which can update that list every half an hour or so, if you'd
> like, to guarntee that they're close. I'll even start collecting
> statistics about average distance between servers.)
>
> 2) A single server can't split from itself. If all Lojban users agreed to
> normally use a single OpenProjects server, (which they wouldn't even
> have to know they were doing if they were just told to use
> irc.lojban.org when it pointed to a specific server) splitting would
> become mostly irrelevent, and then other OpenProjects users could still
> pop in from time to time, and Lojbanists could participate in other
> channels more convinently.
> 
> I used the above described technique for quite a long time on Undernet
> (which splits more than OpenProjects) with a much larger group of
> people, and was quite successful.
> 
> Absolutely everyone will be getting what they want, and you won't have
> to deal with IRC server maintence, etc. If/when something happens to
> an OpenProjects server, they've got a huge team of people who work
> prompt to fix it, whereas presumably, you leave your house
> occasionally. :)

You know, all of the above may be true, but last I checked the community
in general agreed to use my server. Your statements to the contrary are
not helping anything.

I *still* think that having it on a public servernet doesn't help; AFAIK
*no-one* has come to lojban through accidently seeing the channel on
openprojects, unless they had previously heard of the language before.

I'll see what I can do about getting the DNS.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/